Silverlight 2.0 (beta), problemas de retrocompatibilidad con Silverlight 1.0

Recientemente, haciendo algunas modificaciones a un proyecto Silverlight 1.0 al instalar el plug-in de la 2.0 Beta me di cuenta de que la propiedad TextWrapping no soportaba (por ahora) el valor WrapWithOverflow…

Adjunto el mensaje de error para referencia:

 error with TextWrapping property

Se ve claramente que es un error del plugin, al no poder parsear tal propiedad para el atributo…

Por otro lado también me he encontrado con “clipping” es decir, que un elemento de interfaz, al salir del canvas, se deje de dibujar o renderizar, ocultándose…

También he hallado algunos problemas al generar elementos dinámicamente, en lo que he encontrado qeu no se asignaban bién ciertas propiedades, como la posición…  En este caso  creando varios elementos dinámicamente se renderizaban bién pero no en su sitio asignado… 

Espero que estas cosillas se vayan mejorando y optimizando en la versi´no final ya que la compatiblidad hacia atrás es algo muy importante en esta relativamente nueva tecnología.

Y sí, es una beta, pero por eso mismo quería compartir mis “dos peniques”

En cualquier caso, es una tecnología fantástica y con la que se está haciendo un gran trabajo, si antes estaba muy bien, ahora empieza a parecer algo Grande 🙂

 

Crossposting desde bcngeeks

2 comentarios en “Silverlight 2.0 (beta), problemas de retrocompatibilidad con Silverlight 1.0”

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *